﻿using Hotline.Share.Dtos.Order;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Fw.Utility.UnifyResponse;
using RestSharp;

namespace Hotline.Api.Sdk
{
    public partial interface IHotlineClient
    {
        /// <summary>
        /// 省延期结果
        /// </summary>
        public Task<ApiResponse> DelayProvinceResultAsync(DelayProvinceResultDto request, CancellationToken cancellationToken) =>
            ExecuteAsync("api/v1/Order/delay/province/result", Method.Post, request, cancellationToken);

        /// <summary>
        /// 新增工单
        /// </summary>
        public Task<ApiResponse<string>> AddOrderAsync(AddOrderDto request, CancellationToken cancellationToken) =>
            ExecuteAsync<AddOrderDto, string>("api/v1/Order", Method.Post, request, cancellationToken);


    }
}
